<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array("_28c85ce81fee65329802628" . "93b6f2425" => base64_decode("dXNl" . "cm5h" . "bWU="), "_8cca4dd34e20c5344bb2a" . "30f2533c4e5" => base64_decode("ZnVsbF9u" . "YW1l"), "user_" . "id" => base64_decode("dXN" . "lcl" . "9pZ" . "A=="));
use Claromentis\Core\Event\GenericEvent;
use InvalidArgumentException;









class DeleteUserEvent extends GenericEvent
{
    
    
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["use" . "r_i" . "d"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_8cca4dd34e20c5" . "344bb2a30f2533c" . "4e5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_28c85ce" . "81fee653" . "29802628" . "93b6f242" . "5"]);
    }
}